## org.opengis.referencing.cs
Interface SphericalCS

All Superinterfaces:
  CoordinateSystem, IdentifiedObject

    @UML(identifier="CS_SphericalCS",
         specification=ISO_19111)
    public interface SphericalCS

extends CoordinateSystem

A three-dimensional coordinate system with one distance measured from the origin and two angular coordinates. Not to be confused with an ellipsoidal coordinate system based on an ellipsoid "degenerated" into a sphere. A `SphericalCS` shall have three axis associations.

Used with CRS type(s)
`Geocentric`, `Engineering`

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface CoordinateSystem
`getAxis, getDimension`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.